<!---
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->
# Commons components

The table below is currently manually maintained from the corresponding component README files, and may get out of date. Please report any errors to the Commons Project.

| Component | Java CI | Coverage Status | Maven Central | Javadocs | CodeQL | OpenSSF Scorecard |
| ---       |     --- |      ---        |     ---       |     ---  |    --- |     ---           |
| [bcel](https://github.com/apache/commons-bcel)  | [![Java CI](https://github.com/apache/commons-bcel/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-bcel/actions/workflows/maven.yml) | [![Coverage Status](https://codecov.io/gh/apache/commons-bcel/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-bcel) | [![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.bcel/bcel/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.bcel/bcel/?gav=true) | [![Javadocs](https://javadoc.io/badge/org.apache.bcel/bcel/6.7.0.svg)](https://javadoc.io/doc/org.apache.bcel/bcel/6.7.0) | [![CodeQL](https://github.com/apache/commons-bcel/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-bcel/actions/workflows/codeql-analysis.yml) | [![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-bcel/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-bcel) |
|[beanutils](https://github.com/apache/commons-beanutils)|[![Java CI](https://github.com/apache/commons-beanutils/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-beanutils/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-beanutils/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-beanutils/branch/master)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-beanutils/commons-beanutils/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-beanutils2/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-beanutils2/2.0.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-beanutils2/2.0.0)|[![CodeQL](https://github.com/apache/commons-beanutils/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-beanutils/actions/workflows/codeql-analysis.yml)|-|
|[bsf](https://github.com/apache/commons-bsf)|[![Java CI](https://github.com/apache/commons-bsf/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-bsf/actions/workflows/maven.yml)|[![Coverage Status](https://coveralls.io/repos/apache/commons-bsf/badge.svg)](https://coveralls.io/r/apache/commons-bsf)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/bsf/bsf/badge.svg)](https://maven-badges.herokuapp.com/maven-central/bsf/bsf/)|[![Javadocs](https://javadoc.io/badge/bsf/bsf/2.5.0.svg)](https://javadoc.io/doc/bsf/bsf/2.5.0)|-|-|
|[cli](https://github.com/apache/commons-cli)|[![Java CI](https://github.com/apache/commons-cli/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-cli/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-cli/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-cli/branch/master)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-cli/commons-cli/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/commons-cli/commons-cli/?gav=true)|[![Javadocs](https://javadoc.io/badge/commons-cli/commons-cli/1.5.0.svg)](https://javadoc.io/doc/commons-cli/commons-cli/1.5.0)|[![CodeQL](https://github.com/apache/commons-cli/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-cli/actions/workflows/codeql-analysis.yml)|-|
|[codec](https://github.com/apache/commons-codec)|[![Java CI](https://github.com/apache/commons-codec/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-codec/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-codec/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-codec)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-codec/commons-codec/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/commons-codec/commons-codec/?gav=true)|[![Javadocs](https://javadoc.io/badge/commons-codec/commons-codec/1.16.0.svg)](https://javadoc.io/doc/commons-codec/commons-codec/1.16.0)|[![CodeQL](https://github.com/apache/commons-codec/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-codec/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-codec/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-codec)|
|[collections](https://github.com/apache/commons-collections)|[![Java CI](https://github.com/apache/commons-collections/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-collections/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-collections/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-collections/branch/master)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-collections4/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-collections4/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-collections4/4.4.svg)](https://javadoc.io/doc/org.apache.commons/commons-collections4/4.4)|[![CodeQL](https://github.com/apache/commons-collections/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-collections/actions/workflows/codeql-analysis.yml)|-|
|[compress](https://github.com/apache/commons-compress)|[![Java CI](https://github.com/apache/commons-compress/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-compress/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-compress/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-compress)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-compress/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-compress/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-compress/1.24.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-compress/1.24.0)|[![CodeQL](https://github.com/apache/commons-compress/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-compress/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-compress/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-compress)|
|[configuration](https://github.com/apache/commons-configuration)|[![Java CI](https://github.com/apache/commons-configuration/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-configuration/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-configuration/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-configuration)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-configuration2/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-configuration2/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-configuration2/2.9.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-configuration2/2.9.0)|[![CodeQL](https://github.com/apache/commons-configuration/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-configuration/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-configuration/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-configuration)|
|[crypto](https://github.com/apache/commons-crypto)|[![Java CI](https://github.com/apache/commons-crypto/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-crypto/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-crypto/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-crypto)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-crypto/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-crypto/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-crypto/1.2.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-crypto/1.2.0)|[![CodeQL](https://github.com/apache/commons-crypto/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-crypto/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-crypto/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-crypto)|
|[csv](https://github.com/apache/commons-csv)|[![Java CI](https://github.com/apache/commons-csv/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-csv/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-csv/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-csv)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-csv/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-csv/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-csv/1.10.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-csv/1.10.0)|[![CodeQL](https://github.com/apache/commons-csv/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-csv/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-csv/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-csv)|
|[daemon](https://github.com/apache/commons-daemon)|[![Java CI](https://github.com/apache/commons-daemon/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-daemon/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-daemon/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-daemon)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-daemon/commons-daemon/badge.svg)](https://maven-badges.herokuapp.com/maven-central/commons-daemon/commons-daemon/)|[![Javadocs](https://javadoc.io/badge/commons-daemon/commons-daemon/1.3.3.svg)](https://javadoc.io/doc/commons-daemon/commons-daemon/1.3.3)|-|-|
|[dbcp](https://github.com/apache/commons-dbcp)|[![Java CI](https://github.com/apache/commons-dbcp/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-dbcp/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-dbcp/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-dbcp)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-dbcp2/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-dbcp2/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-dbcp2/2.10.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-dbcp2/2.10.0)|[![CodeQL](https://github.com/apache/commons-dbcp/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-dbcp/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-dbcp/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-dbcp)|
|[dbutils](https://github.com/apache/commons-dbutils)|[![Java CI](https://github.com/apache/commons-dbutils/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-dbutils/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-dbutils/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-dbutils)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-dbutils/commons-dbutils/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/commons-dbutils/commons-dbutils/?gav=true)|[![Javadocs](https://javadoc.io/badge/commons-dbutils/commons-dbutils/1.8.1.svg)](https://javadoc.io/doc/commons-dbutils/commons-dbutils/1.8.1)|[![CodeQL](https://github.com/apache/commons-dbutils/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-dbutils/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-dbutils/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-dbutils)|
|[digester](https://github.com/apache/commons-digester)|[![Java CI](https://github.com/apache/commons-digester/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-digester/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-digester/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-digester)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-digester3/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-digester3/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-digester3-parent/3.3.svg)](https://javadoc.io/doc/org.apache.commons/commons-digester3-parent/3.3)|[![CodeQL](https://github.com/apache/commons-digester/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-digester/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-digester/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-digester)|
|[email](https://github.com/apache/commons-email)|[![Java CI](https://github.com/apache/commons-email/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-email/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-email/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-email/?gav=true)|-|[![CodeQL](https://github.com/apache/commons-email/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-email/actions/workflows/codeql-analysis.yml)|-|
|[exec](https://github.com/apache/commons-exec)|[![Java CI](https://github.com/apache/commons-exec/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-exec/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-exec/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-exec/?gav=true)|-|[![CodeQL](https://github.com/apache/commons-exec/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-exec/actions/workflows/codeql-analysis.yml)|-|
|[fileupload](https://github.com/apache/commons-fileupload)|[![Java CI](https://github.com/apache/commons-fileupload/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-fileupload/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-fileupload/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-fileupload)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-fileupload2/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-fileupload2/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-fileupload2/2.0.0-M1.svg)](https://javadoc.io/doc/org.apache.commons/commons-fileupload2/2.0.0-M1)|[![CodeQL](https://github.com/apache/commons-fileupload/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-fileupload/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-fileupload/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-fileupload)|
|[geometry](https://github.com/apache/commons-geometry)|[![Java CI](https://github.com/apache/commons-geometry/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-geometry/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-geometry/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-geometry)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-geometry-spherical/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-geometry-spherical/)|-|-|-|
|[imaging](https://github.com/apache/commons-imaging)|[![Java CI](https://github.com/apache/commons-imaging/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-imaging/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-imaging/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-imaging/branch/master)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-imaging/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-imaging/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-imaging/1.0-alpha3.svg)](https://javadoc.io/doc/org.apache.commons/commons-imaging/1.0-alpha3)|[![CodeQL](https://github.com/apache/commons-imaging/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-imaging/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-imaging/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-imaging)|
|[io](https://github.com/apache/commons-io)|[![Java CI](https://github.com/apache/commons-io/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-io/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-io/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-io)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-io/commons-io/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/commons-io/commons-io/?gav=true)|[![Javadocs](https://javadoc.io/badge/commons-io/commons-io/2.15.0.svg)](https://javadoc.io/doc/commons-io/commons-io/2.15.0)|[![CodeQL](https://github.com/apache/commons-io/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-io/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-io/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-io)|
|[jci](https://github.com/apache/commons-jci)|[![Java CI](https://github.com/apache/commons-jci/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-jci/actions/workflows/maven.yml)|[![Coverage Status](https://coveralls.io/repos/apache/commons-jci/badge.svg)](https://coveralls.io/r/apache/commons-jci)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-jci/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-jci/)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-jci2/2.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-jci2/2.0)|-|-|
|[jcs](https://github.com/apache/commons-jcs)|[![Java CI](https://github.com/apache/commons-jcs/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-jcs/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-jcs/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-jcs)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-jcs3/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-jcs3/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-jcs3/3.1.svg)](https://javadoc.io/doc/org.apache.commons/commons-jcs3/3.1)|-|-|
|[jelly](https://github.com/apache/commons-jelly)|[![Java CI](https://github.com/apache/commons-jelly/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-jelly/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-jelly/commons-jelly/badge.svg)](https://maven-badges.herokuapp.com/maven-central/commons-jelly/commons-jelly/)|-|-|-|
|[jexl](https://github.com/apache/commons-jexl)|[![Java CI](https://github.com/apache/commons-jexl/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-jexl/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-jexl/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-jexl)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-jexl3/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-jexl3/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-jexl3/3.2.svg)](https://javadoc.io/doc/org.apache.commons/commons-jexl3/3.2)|[![CodeQL](https://github.com/apache/commons-jexl/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-jexl/actions/workflows/codeql-analysis.yml)|-|
|[jxpath](https://github.com/apache/commons-jxpath)|[![Java CI](https://github.com/apache/commons-jxpath/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-jxpath/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-jxpath/commons-jxpath/badge.svg)](https://maven-badges.herokuapp.com/maven-central/commons-jxpath/commons-jxpath/)|-|-|-|
|[lang](https://github.com/apache/commons-lang)|[![Java CI](https://github.com/apache/commons-lang/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-lang/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-lang/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-lang)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-lang3/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-lang3/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-lang3/3.13.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-lang3/3.13.0)|[![CodeQL](https://github.com/apache/commons-lang/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-lang/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-lang/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-lang)|
|[logging](https://github.com/apache/commons-logging)|[![Java CI](https://github.com/apache/commons-logging/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-logging/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-logging/commons-logging/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/commons-logging/commons-logging/?gav=true)|-|[![CodeQL](https://github.com/apache/commons-logging/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-logging/actions/workflows/codeql-analysis.yml)|-|
|[math](https://github.com/apache/commons-math)|[![Java CI](https://github.com/apache/commons-math/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-math/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-math/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-math)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-math4-parent/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-math4-parent/)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-math4-parent/4.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-math4-parent/4.0)|-|-|
|[net](https://github.com/apache/commons-net)|[![Java CI](https://github.com/apache/commons-net/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-net/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-net/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-net)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-net/commons-net/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/commons-net/commons-net/?gav=true)|[![Javadocs](https://javadoc.io/badge/commons-net/commons-net/3.10.0.svg)](https://javadoc.io/doc/commons-net/commons-net/3.10.0)|[![CodeQL](https://github.com/apache/commons-net/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-net/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-net/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-net)|
|[numbers](https://github.com/apache/commons-numbers)|[![Java CI](https://github.com/apache/commons-numbers/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-numbers/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-numbers/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-numbers)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-numbers-parent/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-numbers-parent/)|-|-|-|
|[parent](https://github.com/apache/commons-parent)|[![Java CI](https://github.com/apache/commons-parent/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-parent/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-parent/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-parent/?gav=true)|-|-|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-parent/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-parent)|
|[pool](https://github.com/apache/commons-pool)|[![Java CI](https://github.com/apache/commons-pool/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-pool/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-pool/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-pool)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-pool2/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-pool2/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-pool2/2.12.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-pool2/2.12.0)|[![CodeQL](https://github.com/apache/commons-pool/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-pool/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-pool/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-pool)|
|[rdf](https://github.com/apache/commons-rdf)|[![Java CI](https://github.com/apache/commons-rdf/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-rdf/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-rdf/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-rdf)|-|-|-|-|
|[rng](https://github.com/apache/commons-rng)|[![Java CI](https://github.com/apache/commons-rng/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-rng/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-rng/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-rng)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-rng-simple/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-rng-simple/)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-rng-simple/1.5.svg)](https://javadoc.io/doc/org.apache.commons/commons-rng-simple/1.5)|-|-|
|[scxml](https://github.com/apache/commons-scxml)|[![Java CI](https://github.com/apache/commons-scxml/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-scxml/actions/workflows/maven.yml)|[![Coverage Status](https://coveralls.io/repos/apache/commons-scxml2/badge.svg)](https://coveralls.io/r/apache/commons-scxml2)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-scxml/commons-scxml/badge.svg)](https://maven-badges.herokuapp.com/maven-central/commons-scxml/commons-scxml/)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-scxml2/2.0-alpha-1.svg)](https://javadoc.io/doc/org.apache.commons/commons-scxml2/2.0-alpha-1)|-|-|
|[skin](https://github.com/apache/commons-skin)|[![Java CI](https://github.com/apache/commons-skin/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-skin/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-skin/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-skin/)|-|-|-|
|[statistics](https://github.com/apache/commons-statistics)|[![Java CI](https://github.com/apache/commons-statistics/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-statistics/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-statistics/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-statistics)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-statistics-distribution/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-statistics-distribution/)|-|-|-|
|[text](https://github.com/apache/commons-text)|[![Java CI](https://github.com/apache/commons-text/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-text/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-text/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-text)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-text/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-text/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-text/1.10.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-text/1.10.0)|[![CodeQL](https://github.com/apache/commons-text/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-text/actions/workflows/codeql-analysis.yml)|-|
|[validator](https://github.com/apache/commons-validator)|[![Java CI](https://github.com/apache/commons-validator/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-validator/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-validator/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-validator)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/commons-validator/commons-validator/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/commons-validator/commons-validator/?gav=true)|[![Javadocs](https://javadoc.io/badge/commons-validator/commons-validator/1.7.svg)](https://javadoc.io/doc/commons-validator/commons-validator/1.7)|[![CodeQL](https://github.com/apache/commons-validator/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-validator/actions/workflows/codeql-analysis.yml)|-|
|[vfs](https://github.com/apache/commons-vfs)|[![Java CI](https://github.com/apache/commons-vfs/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-vfs/actions/workflows/maven.yml)|[![Coverage Status](https://codecov.io/gh/apache/commons-vfs/branch/master/graph/badge.svg)](https://app.codecov.io/gh/apache/commons-vfs)|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-vfs2/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-vfs2/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-vfs2/2.9.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-vfs2/2.9.0)|[![CodeQL](https://github.com/apache/commons-vfs/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/apache/commons-vfs/actions/workflows/codeql-analysis.yml)|[![OpenSSF Scorecard](https://api.securityscorecards.dev/projects/github.com/apache/commons-vfs/badge)](https://api.securityscorecards.dev/projects/github.com/apache/commons-vfs)|
|[weaver](https://github.com/apache/commons-weaver)|[![Java CI](https://github.com/apache/commons-weaver/actions/workflows/maven.yml/badge.svg)](https://github.com/apache/commons-weaver/actions/workflows/maven.yml)|-|[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-weaver-base/badge.svg?gav=true)](https://maven-badges.herokuapp.com/maven-central/org.apache.commons/commons-weaver-base/?gav=true)|[![Javadocs](https://javadoc.io/badge/org.apache.commons/commons-weaver-base/2.0.svg)](https://javadoc.io/doc/org.apache.commons/commons-weaver-base/2.0)|-|-|
